Name:           httpwatcher
Version:        0.5.1
Release:        3%{?dist}
Summary:        Python-based HTTP server for static files with live reload

License:        MIT
URL:            https://github.com/thanethomson/httpwatcher
Source0:        https://github.com/thanethomson/httpwatcher/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  %{py3_dist html5lib}
BuildRequires:  %{py3_dist tornado}
BuildRequires:  %{py3_dist watchdog}
BuildRequires:  %{py3_dist future}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  %{py2_dist html5lib}
BuildRequires:  %{py2_dist tornado}
BuildRequires:  %{py2_dist watchdog}
BuildRequires:  %{py2_dist future}

Requires:       python3-httpwatcher

%description
httpwatcher is both a library and command-line utility for firing up a simple
HTTP server to serve static files from a specific root path. Live reloading
is triggered via web sockets.

%package -n python2-%{name}
Summary:        %{summary}
Requires:       %{py2_dist tornado}
Requires:       %{py2_dist watchdog}
Requires:       %{py2_dist future}
%{?python_provide:%python_provide python2-%{name}}

%description -n python2-%{name}
httpwatcher is both a library and command-line utility for firing up a simple
HTTP server to serve static files from a specific root path. Live reloading
is triggered via web sockets.

%package -n python3-%{name}
Summary:        %{summary}
Requires:       %{py3_dist tornado}
Requires:       %{py3_dist watchdog}
Requires:       %{py3_dist future}
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
httpwatcher is both a library and command-line utility for firing up a simple
HTTP server to serve static files from a specific root path. Live reloading
is triggered via web sockets.

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

# Test do not work at the moment as the are trying to write to /tmp
#%check
#pushd tests
#PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python2_version}
#PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version}
#popd

%files
%doc README.rst
%license LICENSE
%{_bindir}/%{name}

%files -n python2-%{name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}*.egg-info

%files -n python3-%{name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.1-2
- Rebuilt for Python 3.7

* Mon Apr 02 2018 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- Use macros
- Update to latest upstream release 0.5.1

* Sat Jan 21 2017 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.0-1
- Initial package
